%kmdl fcpci

Summary: Drivers for the Fritz!Card PCI.
Name: fcpci
Version: 03.11.07
Release: 16%{?dist}
License: AVM
Group: System Environment/Kernel
URL: http://www.avm.de/de/Service/AVM_Service_Portale/Linux/index.php3
Source0: ftp://ftp.avm.de/cardware/fritzcrd.pci/linux/suse.93/fcpci-suse93-3.11-07.tar.gz
Source1: ftp://ftp.avm.de/cardware/fritzcrd.pci/linux_64bit/suse.93/fcpci-suse93-64bit-3.11-07.tar.gz
Patch0: fcpci-3.11-07-vendorfixes.patch
Patch1: fcpci-3.11-07-fixes.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
ExclusiveArch: %ix86 x86_64
%kmdl_parentdependencies

%description
This package contains kernel drivers for the Fritz!Card PCI.

%package -n %kmdl_name
%kmdl_dependencies
Summary: Kernel module for Fritz!Card PCI ISDN.
Group: System Environment/Kernel

%description -n %kmdl_name
This package contains kernel drivers for the Fritz!Card PCI.

%kmdl_desc

%prep
%ifarch %ix86
%setup -q -n fritz
%patch0 -p1 -b .vendor
%else
%setup -q -n fritz -T -b 1
%endif
%patch1 -p1 -b .fixes
OBJ=`find . -name '*lib.o'`
for i in $OBJ; do
  mv $i $i.old
  objcopy -L memcmp \
    -L memcpy \
    -L memmove \
    -L memset \
    -L strcat \
    -L strcmp \
    -L strcpy \
    -L strlen \
    -L strncmp \
    -L strncpy \
  $i.old $i
done 

%build

%if %{kmdl_userland}
%else

%kmdl_config
if grep 'PATCHLEVEL = 6' %{kmdl_kernelsrcdir}/Makefile; then
  make -C %{kmdl_kernelsrcdir} SUBDIRS=`pwd`/src LIBDIR=`pwd`/lib
else
  make KRNLINCL=%{kmdl_kernelsrcdir}/include CCFLAGS=" -c \$(DEFINES) %{optflags} -Wall -I \$(KRNLINCL) -include \$(KRNLINCL)/linux/modversions.h"
fi

%endif


%install
rm -rf %{buildroot}

%if %{kmdl_userland}
%else

mkdir -p %{buildroot}%{kmdl_moduledir}/drivers/isdn/fritz
if grep 'PATCHLEVEL = 6' %{kmdl_kernelsrcdir}/Makefile; then
  make -C %{kmdl_kernelsrcdir} SUBDIRS=`pwd`/src INSTALL_MOD_PATH=%{buildroot} modules_install
  if [ -d %{buildroot}%{kmdl_moduledir}/../extra ]; then
    mv %{buildroot}%{kmdl_moduledir}/../extra/* %{buildroot}%{kmdl_moduledir}/drivers/isdn/fritz
  fi
else
  make CARD_PATH=%{buildroot}%{kmdl_moduledir}/drivers/isdn/fritz install
fi

%endif


%clean
rm -rf %{buildroot}

%post -n %kmdl_name
%kmdl_install

%postun -n %kmdl_name
%kmdl_remove

%if %{kmdl_userland}

%files
%defattr(-,root,root,-)
%doc *.txt *.html

%else

%files -n %kmdl_name
%defattr(-,root,root,-)
%dir %{kmdl_moduledir}/drivers
%dir %{kmdl_moduledir}/drivers/isdn
%dir %{kmdl_moduledir}/drivers/isdn/fritz
%{kmdl_moduledir}/drivers/isdn/fritz/fcpci.*o

%endif


%changelog
* Thu Oct 18 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 03.11.07-14
- More fixes by Joachim Jaeckel.

* Tue Apr 17 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 03.11.07-12
- driver_init fixes by Joachim Jaeckel.

* Sun Apr 30 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Apply fix for private mem* and str* symbols.

* Tue Apr 25 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Fix build for 2.6.16.

* Sun Apr 18 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.


